CocoaTweet::API::Model::User Class Referencefinal

data class for tweet object More...

`#include <user.h>`

## Public Member Functions

| User ()=default
| constructor More...
| User (const User &)=default
| copy constructor More...
| User (const std::string &_json)
| constructor for create object from json response More...
void | id (const std::string &_id)
void | name (const std::string &_name)
void | screenName (const std::string &_screen)
void | location (const std::string &_location)
void | url (const std::string &_url)
void | description (const std::string &_description)
void | protectedUser (const bool _protected)
void | follower (const long _follower)
void | follow (const long _follow)
void | listed (const long _listed)
void | favorite (const long _favorite)
void | createdAt (const std::string &_created)
void | bannerUrl (const std::string &_banner)
void | iconUrl (const std::string &_icon)
const std::string & | id () const
const std::string & | name () const
const std::string & | screenName () const
const std::string & | location () const
const std::string & | url () const
const std::string & | description () const
bool | protectedUser () const
long | follower () const
long | follow () const
long | listed () const
long | favorite () const
const std::string & | created () const
const std::string & | bannerUrl () const
const std::string & | icon () const

## Static Public Member Functions

static User | parse (const std::string &_json)
| response parser for user object More...

## Detailed Description

data class for tweet object

## Constructor & Destructor Documentation

## User() [1/3]

CocoaTweet::API::Model::User::User | ( |  | ) |

default

constructor

## User() [2/3]

CocoaTweet::API::Model::User::User | ( | const User & |  | ) |

default

copy constructor

## User() [3/3]

CocoaTweet::API::Model::User::User | ( | const std::string & | _json | ) |

inline

constructor for create object from json response

Parameters

  [in] | const | std::string& _json : received content from twitter endpoint

## Member Function Documentation

## bannerUrl() [1/2]

const std::string & CocoaTweet::API::Model::User::bannerUrl | ( |  | ) | const

## bannerUrl() [2/2]

void CocoaTweet::API::Model::User::bannerUrl | ( | const std::string & | _banner | ) |

## created()

const std::string & CocoaTweet::API::Model::User::created | ( |  | ) | const

## createdAt()

void CocoaTweet::API::Model::User::createdAt | ( | const std::string & | _created | ) |

## description() [1/2]

const std::string & CocoaTweet::API::Model::User::description | ( |  | ) | const

## description() [2/2]

void CocoaTweet::API::Model::User::description | ( | const std::string & | _description | ) |

## favorite() [1/2]

long CocoaTweet::API::Model::User::favorite | ( |  | ) | const

## favorite() [2/2]

void CocoaTweet::API::Model::User::favorite | ( | const long | _favorite | ) |

## follow() [1/2]

long CocoaTweet::API::Model::User::follow | ( |  | ) | const

## follow() [2/2]

void CocoaTweet::API::Model::User::follow | ( | const long | _follow | ) |

## follower() [1/2]

long CocoaTweet::API::Model::User::follower | ( |  | ) | const

## follower() [2/2]

void CocoaTweet::API::Model::User::follower | ( | const long | _follower | ) |

## icon()

const std::string & CocoaTweet::API::Model::User::icon | ( |  | ) | const

## iconUrl()

void CocoaTweet::API::Model::User::iconUrl | ( | const std::string & | _icon | ) |

## id() [1/2]

const std::string & CocoaTweet::API::Model::User::id | ( |  | ) | const

## id() [2/2]

void CocoaTweet::API::Model::User::id | ( | const std::string & | _id | ) |

## listed() [1/2]

long CocoaTweet::API::Model::User::listed | ( |  | ) | const

## listed() [2/2]

void CocoaTweet::API::Model::User::listed | ( | const long | _listed | ) |

## location() [1/2]

const std::string & CocoaTweet::API::Model::User::location | ( |  | ) | const

## location() [2/2]

void CocoaTweet::API::Model::User::location | ( | const std::string & | _location | ) |

## name() [1/2]

const std::string & CocoaTweet::API::Model::User::name | ( |  | ) | const

## name() [2/2]

void CocoaTweet::API::Model::User::name | ( | const std::string & | _name | ) |

## parse()

CocoaTweet::API::Model::User CocoaTweet::API::Model::User::parse | ( | const std::string & | _json | ) |

static

response parser for user object

Parameters

  [in] | const | std::string& _json : received content from twitter endpoint
  [out] | CocoaTweet::API::Model::User |

## protectedUser() [1/2]

bool CocoaTweet::API::Model::User::protectedUser | ( |  | ) | const

## protectedUser() [2/2]

void CocoaTweet::API::Model::User::protectedUser | ( | const bool | _protected | ) |

## screenName() [1/2]

const std::string & CocoaTweet::API::Model::User::screenName | ( |  | ) | const

## screenName() [2/2]

void CocoaTweet::API::Model::User::screenName | ( | const std::string & | _screen | ) |

## url() [1/2]

const std::string & CocoaTweet::API::Model::User::url | ( |  | ) | const

## url() [2/2]

void CocoaTweet::API::Model::User::url | ( | const std::string & | _url | ) |

The documentation for this class was generated from the following files:

- src/cocoatweet/api/model/user.h
- src/cocoatweet/api/model/user.cc